Bug 1279992 - [abrt] yumex-dnf: dbus_status.py:197:error_notify:GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files (2)
[abrt] yumex-dnf: dbus_status.py:197:error_notify:GLib.Error: g-dbus-error-qu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
24
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d3248a77886bcece7dbcb4596a7...
:
: 1283268 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 11:30 EST by Veteran
Modified: 2016-03-26 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: yumex-dnf-4.1.6-1.fc24 yumex-dnf-4.1.6-1.fc23 yumex-dnf-4.1.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 11:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.91 KB, text/plain)
2015-11-10 11:30 EST, Veteran
no flags Details
File: environ (1.99 KB, text/plain)
2015-11-10 11:30 EST, Veteran
no flags Details

  None (edit)
Description Veteran 2015-11-10 11:30:03 EST
Description of problem:
I ran sudo yumex-dnf

Version-Release number of selected component:
yumex-dnf-4.1.4-1.fc24

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -tt /usr/share/yumex-dnf/dbus_status.py
executable:     /usr/share/yumex-dnf/dbus_status.py
kernel:         4.4.0-0.rc0.git2.1.fc24.i686
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
dbus_status.py:197:error_notify:GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files (2)

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 212, in _get_daemon
    proxy = bus.get(org, "/", interface)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 169, in get
    self.conn, 0, None, bus, obj, iface, None
GLib.Error: g-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/yumex-dnf/dbus_status.py", line 373, in __init__
    self.backend = dnfdaemon.client.Client()
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 541, in __init__
    DnfDaemonBase.__init__(self, system, ORG, INTERFACE)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 205, in __init__
    self.daemon = self._get_daemon(bus, org, interface)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 223, in _get_daemon
    self._handle_dbus_error(err)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/yumex-dnf/dbus_status.py", line 728, in <module>
    main()
  File "/usr/share/yumex-dnf/dbus_status.py", line 723, in main
    YumexStatusDaemon()
  File "/usr/share/yumex-dnf/dbus_status.py", line 377, in __init__
    error_notify('Error starting dnfdaemon service\n\n%s' % msg, msg)
  File "/usr/share/yumex-dnf/dbus_status.py", line 197, in error_notify
    notification.show()
GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files (2)

Local variables in innermost frame:
notification: <Notify.Notification object at 0xb3fd59b4 (NotifyNotification at 0x819e7360)>
icon: 'yumex-dnf'
summary: 'Error starting dnfdaemon service\n\ng-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)'
body: 'g-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)'
Comment 1 Veteran 2015-11-10 11:30:06 EST
Created attachment 1092364 [details]
File: backtrace
Comment 2 Veteran 2015-11-10 11:30:07 EST
Created attachment 1092365 [details]
File: environ
Comment 3 Tim Lauridsen 2015-11-18 06:52:07 EST
look like yumex-dnf is missing a requirement

fixed upstream:
https://github.com/timlau/yumex-dnf/commit/1b6e1c64d5469e5eb291ef6651edb6049c0a73e4
Comment 4 Tim Lauridsen 2015-11-20 03:25:31 EST
*** Bug 1283268 has been marked as a duplicate of this bug. ***
Comment 5 Jan Kurik 2016-02-24 08:56:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Fedora Update System 2016-03-17 08:10:35 EDT
yumex-dnf-4.1.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9
Comment 7 Fedora Update System 2016-03-17 08:35:40 EDT
yumex-dnf-4.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119
Comment 8 Fedora Update System 2016-03-17 08:35:55 EDT
yumex-dnf-4.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42
Comment 9 Fedora Update System 2016-03-18 10:57:13 EDT
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9
Comment 10 Fedora Update System 2016-03-18 19:55:38 EDT
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42
Comment 11 Fedora Update System 2016-03-18 21:25:58 EDT
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119
Comment 12 Fedora Update System 2016-03-23 11:17:54 EDT
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-26 15:49:18 EDT
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-26 16:20:04 EDT
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.